import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { IHorizontalAnchoredCategorySeriesInteractionManager } from "./IHorizontalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericYAxis } from "./NumericYAxis";
import { NumericAxisBase } from "./NumericAxisBase";
import { CategoryMode } from "./CategoryMode";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
import { ScalerParams } from "./ScalerParams";
import { FastItemsSourceEventAction } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class HorizontalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    private y1;
    get y2(): IHorizontalAnchoredCategorySeriesInteractionManager;
    nh(): void;
    cb(): SeriesPlotAreaMarginHorizontalMode;
    cc(): SeriesPlotAreaMarginVerticalMode;
    xAxis: CategoryAxisBase;
    yAxis: NumericYAxis;
    protected bu(): SeriesHitTestMode;
    vn(): CategoryAxisBase;
    v3(): NumericAxisBase;
    tw(a: Point): Rect;
    private zf;
    protected y7(a: Point, b: Point, c: boolean): boolean;
    ah(a: Point): Point[][];
    ai(a: Point): Point[][];
    f5(a: Point, b: boolean): boolean;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    ia(a: Point, b: boolean, c: boolean): number;
    jg(a: Point, b: boolean): number;
    je(a: Point, b: boolean): number;
    hu(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    tj(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    yb(a: Axis): void;
    yc(a: Axis): void;
    wj(): boolean;
    protected yx: CategoryAxisBase;
    protected y3: NumericAxisBase;
    zb(a: CategoryAxisBase): void;
    zc(a: NumericYAxis): void;
    vh(a: number, b: number): any[];
    protected pa(a: any, b: string, c: any, d: any): void;
    protected np(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    y5(a: any): boolean;
    y6(a: any): boolean;
    private yz;
    get y0(): CategoryMode;
    set y0(a: CategoryMode);
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
